Delete admin user
This method call will remove admin user from the contract. This is a highly destructive method and must be used with caution.
delete
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials.
Note:
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
Path parameters
contractNumberinteger · int64Required
adminIdinteger · int64Required
Responses
204
Success
application/json
objectOptional
default
Any erroneous status code: 400 (parse error), 401 (auth error), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
application/json
delete/contracts/{contractNumber}/admins/{adminId}
DELETE /reseller/v2/contracts/{contractNumber}/admins/{adminId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{}Last updated
Was this helpful?